org.apache.poi.ss.usermodel

## Interface Drawing<T extends Shape>

- All Superinterfaces:
    java.lang.Iterable<T>, ShapeContainer<T>
  All Known Implementing Classes:
    HSSFPatriarch, SXSSFDrawing, XSSFDrawing

      public interface Drawing<T extends Shape>
      extends ShapeContainer<T>

  High level representation of spreadsheet drawing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientAnchor` | `createAnchor(int dx1, int dy1, int dx2, int dy2, int col1, int row1, int col2, int row2)` Creates a new client anchor and sets the top-left and bottom-right coordinates of the anchor.
    `Comment` | `createCellComment(ClientAnchor anchor)` Creates a comment.
    `ObjectData` | `createObjectData(ClientAnchor anchor, int storageId, int pictureIndex)` Adds a new OLE Package Shape
    `Picture` | `createPicture(ClientAnchor anchor, int pictureIndex)` Creates a picture.

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### createPicture

          Picture createPicture(ClientAnchor anchor,
                                int pictureIndex)

      Creates a picture.
      Parameters:
        `anchor` - the client anchor describes how this picture is attached to the sheet.
        `pictureIndex` - the index of the picture in the workbook collection of pictures.
      Returns:
        the newly created picture.

    - #### createCellComment

          Comment createCellComment(ClientAnchor anchor)

      Creates a comment.
      Parameters:
        `anchor` - the client anchor describes how this comment is attached to the sheet.
      Returns:
        the newly created comment.

    - #### createAnchor

          ClientAnchor createAnchor(int dx1,
                                    int dy1,
                                    int dx2,
                                    int dy2,
                                    int col1,
                                    int row1,
                                    int col2,
                                    int row2)

      Creates a new client anchor and sets the top-left and bottom-right coordinates of the anchor.
      Parameters:
        `dx1` - the x coordinate in EMU within the first cell.
        `dy1` - the y coordinate in EMU within the first cell.
        `dx2` - the x coordinate in EMU within the second cell.
        `dy2` - the y coordinate in EMU within the second cell.
        `col1` - the column (0 based) of the first cell.
        `row1` - the row (0 based) of the first cell.
        `col2` - the column (0 based) of the second cell.
        `row2` - the row (0 based) of the second cell.
      Returns:
        the newly created client anchor

    - #### createObjectData

          ObjectData createObjectData(ClientAnchor anchor,
                                      int storageId,
                                      int pictureIndex)

      Adds a new OLE Package Shape
      Parameters:
        `anchor` - the client anchor describes how this picture is attached to the sheet.
        `storageId` - the storageId returned by `Workbook.addOlePackage(byte[], String, String, String)`
        `pictureIndex` - the index of the picture (used as preview image) in the workbook collection of pictures.
      Returns:
        newly created shape

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.